<?php

namespace App\Markdown\Render;

use App\Markdown\Inline\ColorText;
use League\CommonMark\Node\Node;
use League\CommonMark\Renderer\ChildNodeRendererInterface;
use League\CommonMark\Renderer\NodeRendererInterface;
use League\CommonMark\Util\HtmlElement;

class ColorRenderer implements NodeRendererInterface
{
    public function render(Node $node, ChildNodeRendererInterface $childRenderer)
    {
        if (!($node instanceof ColorText)) {
            throw  new \InvalidArgumentException('Le noeud doit être une instance de ColorText');
        }

        $attrs = [
            'style' => 'color: ' . htmlspecialchars($node->getColor(), ENT_QUOTES, 'UTF-8')
        ];

        return new HtmlElement('span', $attrs, $node->getText());
    }
}