<?php

namespace App\Markdown\Render;

use App\Markdown\Block\IntroBlock;
use League\CommonMark\Node\Node;
use League\CommonMark\Renderer\ChildNodeRendererInterface;
use League\CommonMark\Renderer\NodeRendererInterface;
use League\CommonMark\Util\HtmlElement;

class IntroRenderer implements NodeRendererInterface
{
    public function render(Node $node, ChildNodeRendererInterface $childRenderer)
    {
        IntroBlock::assertInstanceOf($node);
        /** @var IntroBlock $node */
        $attrs = ['class' => $node->getClassName()];
        return new HtmlElement('div', $attrs, $childRenderer->renderNodes($node->children()));
    }
}
